std::is_bind_expression< _Tp > Struct Template Reference
Utilities » Function Objects » Binder Classes

`#include <functional>`

Inheritance diagram for std::is_bind_expression< _Tp >:
[legend]

## Public Types

typedef integral_constant< bool, __v > | type
typedef bool | value_type

## Public Member Functions

constexpr | operator value_type () const noexcept
constexpr value_type | operator() () const noexcept

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<typename _Tp>
struct std::is_bind_expression< _Tp >

Trait that identifies a bind expression.

Determines if the given type _Tp is a function object that should be treated as a subexpression when evaluating calls to function objects returned by std::bind.

C++11 [func.bind.isbind].

Since
  C++11

Definition at line 254 of file functional.

## Member Typedef Documentation

## type

typedef integral_constant<bool, __v> std::integral_constant< bool, __v >::type

inherited

Definition at line 66 of file type_traits.

## value_type

typedef bool std::integral_constant< bool, __v >::value_type

inherited

Definition at line 65 of file type_traits.

## Member Function Documentation

## operator value_type()

std::integral_constant< bool, __v >::operator value_type | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 67 of file type_traits.

## operator()()

value_type std::integral_constant< bool, __v >::operator() | ( |  | ) | const

inline constexpr noexcept inherited

Definition at line 72 of file type_traits.

## Member Data Documentation

## value

bool std::integral_constant< bool, __v >::value

static constexpr inherited

Definition at line 64 of file type_traits.

The documentation for this struct was generated from the following file:

- functional